From f4d978941e6b069978945d14fdacc724747ae2c4 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 31 2020 23:30:55 +0000
Subject: [PATCH 1920/2232] Ignore wrong_self_convention clippy lint


    warning: methods called `as_*` usually take self by reference or self by mutable reference; consider choosing a less ambiguous name
       --> src/cxx_vector.rs:130:25
        |
    130 |     pub fn as_mut_slice(self: Pin<&mut Self>) -> &mut [T]
        |                         ^^^^
        |
        = note: `#[warn(clippy::wrong_self_convention)]` on by default
        = help: for further information visit https://rust-lang.github.io/rust-clippy/master/index.html#wrong_self_convention

---

diff --git a/src/lib.rs b/src/lib.rs
index 20c6346..bed0bc0 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -385,7 +385,8 @@
     clippy::or_fun_call,
     clippy::ptr_arg,
     clippy::toplevel_ref_arg,
-    clippy::useless_let_if_seq
+    clippy::useless_let_if_seq,
+    clippy::wrong_self_convention
 )]
 
 #[cfg(built_with_cargo)]

